TRACKTAG(1)

NAME
tracktag - update audio file metadata

SYNOPSIS
tracktag [OPTIONS] <track 1> [track 2] ...

DESCRIPTION

tracktag takes new metadata values and a list of audio files and updates those files with the new values.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    Once any other command-line arguments are processed, edit the given tracks in interactive mode.

-r, --replace
    this options erases all existing metadata and replaces it with any specified values

--replay-gain
    add ReplayGain metadata to tracks

--remove-replay-gain
    remove ReplayGain metadata from tracks

-j, --joint=PROCESSES
    The maximum number of albums to calculate ReplayGain for at one time.

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

TEXT OPTIONS

--name=NAME
    the name of the track

--artist=NAME
    the track's artist

--performer=NAME
    the track's performer

--composer=NAME
    the track's composer

--conductor=NAME
    the track's conductor

--album=NAME
    the track's album name

--catalog=NUMBER
    the album's catalog number, typically indicated on its case

--number=NUMBER
    the track's number on the disc

--track-total=NUMBER
    the total number of tracks on the disc

--album-number=NUMBER
    the album's number, if it is one in a series of albums; for example, a 3 CD set might have an album number of 1, 2 or 3

--album-total=NUMBER
    the total number of albums in the set

--compilation=YES/NO
    whether the track is part of a compilation

--ISRC=ISRC
    the track's ISRC

--publisher=NAME
    the album's publisher

--media-type=MEDIA
    the album's media type, such as "CD", "vinyl", etc.

--year=YEAR
    the album's release year

--date=DATE
    the track's original recording date

--copyright=COPYRIGHT
    the album's copyright information

--comment=TEXT
    comment text

--comment-file=FILENAME
    a file containing comment text, for particularly long comments

REMOVAL OPTIONS

--remove-name

--remove-artist

--remove-performer

--remove-composer

--remove-conductor

--remove-album

--remove-catalog

--remove-number

--remove-track-total

--remove-album-number

--remove-album-total

--remove-compilation

--remove-ISRC

--remove-publisher

--remove-media-type

--remove-year

--remove-date

--remove-copyright

--remove-comment

CD LOOKUP OPTIONS

-M, --metadata-lookup
    perform metadata lookup for tracks as if they were a single CD

--musicbrainz-server=HOSTNAME
    the MusicBrainz server name to query for metadata

--musicbrainz-port=PORT
    the MusicBrainz port to query for metadata

--no-musicbrainz
    don't query MusicBrainz for metadata

--freedb-server=HOSTNAME
    the FreeDB server name to query for metadata

--freedb-port=PORT
    the FreeDB port to query for metadata

--no-freedb
    don't query FreeDB for metadata

-D, --default
    When multiple metadata choices are available, select the first one automatically. This option has no effect when used with -I

EXAMPLES

Update track.flac to be track number 5 and have a track name of "Test Track".

    tracktag "--name=Test Track" --number=5 track.flac

Add ISRC metadata from the disc in /dev/cdrom to all MP3 files in the current directory

    cdrdao read-toc --device /dev/cdrom album.toc

    tracktag --cue=album.toc *.mp3

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), trackverify(1)

AUTHOR
Brian Langenberger